The SML of NJ Library
The `BinaryMapFn` functor

The `BinaryMapFn` functor provides a balanced-binary-tree implementation of the `ORD_MAP` signature parameterized over the key type.

The original implementation was written by Stephen Adams and was based on the paper Binary Search Trees of Bounded Balance by Nievergelt and Reingold (SIAM Journal of Computing; March 1973).

It is recommended, however, that one use the `RedBlackMapFn` functor instead of `BinaryMapFn`, since experimentation has shown it to be faster across the board.

## Synopsis

    functor BinaryMapFn (K : ORD_KEY) :> ORD_MAP where type Key.ord_key = K.ord_key

## See Also

`ORD_KEY`, `ORD_MAP`, `RedBlackMapFn`, The Util Library

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC